---
schema_version: "1"
id: 67b511d67ba63a224cb3916a082fce3c076e70b6a0f7b705ba0b6b5c75838f06
title: Tableau MCP Methods
collection: tableau
version: current
locale: en-us
portal_url: https://docs.salesforce.com/tableau/current/en-us/api/rest_api/REST/rest_api_ref_tableau_mcp.md
canonical_url: https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_ref_tableau_mcp.htm
source_site: help.tableau.com
content_type: documentation
content_hash: 2c3029ef3e4a851e4b1cf80d65cb3c6f336ae8228a3233c4337c9f4b41d87c8d
description: "Using the Tableau MCP methods of the REST API you can:"
---
[Skip to main content](#main-content)

# Tableau MCP Methods

Using the Tableau MCP methods of the REST API you can:

- Get Tableau MCP Site Settings
- Create or update Tableau MCP Site Settings

The functionality in these methods relates to Tableau MCP Site Settings concepts described at: [Configurating Tableau MCP - Site Settings](https://tableau.github.io/tableau-mcp/docs/configuration/mcp-config/site-settings).

## Create Tableau MCP Settings for Site

Replaces the current list of Tableau MCP settings for a given site.

**Version**: Available in API 3.29 (Tableau Cloud June 2026 / Server 2026.2) and later.

**License**: No additional license required.

**Permissions**: Server administrators and site administrators.

**Access Scope**: `tableau:mcp_site_settings:create`

For more information, see [Versions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm), [Permissions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm), [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud), and access scopes for [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows,](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

For more information about configuring the Tableau MCP settings for a site, see [Site settings for Tableau MCP](https://tableau.github.io/tableau-mcp/docs/configuration/mcp-config/site-settings).

#### URI

POST /api/api-version/sites/site-id/settings/mcp

#### URI Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1-wide"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site.</td></tr></tbody></table>

#### Request Body

```
<tsRequest>
    <mcpSiteSettings>
        <settings>
            <key>mcp-setting-key</key>
            <value>mcp-setting-value</value>
        </settings>
    </mcpSiteSettings>
</tsRequest>
```

```
{
  "mcpSiteSettings": {
    "settings": [
      {
        "key": "mcp-setting-key",
        "value": "mcp-setting-value"
      }
    ]
  }
}
```

#### Attribute Values

<table class="api-parameters-table">
                            <colgroup>
                                <col class="api-parameters-table-col-1">
                                <col>
                            </colgroup>
                            <tbody>
                                <tr>
                                    <td><span class="api-placeholder">mcp-setting-key</span>
                                    </td>
                                    <td>(Required) String. Specifies the setting to assign a value to.</td>
                                </tr>
                                <tr>
                                    <td>
                                        <p><span class="api-placeholder">mcp-setting-value</span>
                                        </p>
                                    </td>
                                    <td>(Required) String. Provides the value for the associated key.</td>
                                </tr>
                            </tbody>
                        </table>

#### Response Code

200

#### Response Body

```
<tsResponse>
    <mcpSiteSettings>
        <settings>
            <key>EXCLUDE_TOOLS</key>
            <value>search-content</value>
        </settings>
    </mcpSiteSettings>
</tsResponse>
```

```
{
  "mcpSiteSettings": {
    "settings": [
      {
        "key": "EXCLUDE_TOOLS",
        "value": "search-content"
      }
    ]
  }
}
```

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>400</td><td>409004</td><td>Invalid parameter</td><td>The mcpSiteSettings entity is empty; the settings key is null, missing, or invalid; or site LUID format is invalid.</td></tr><tr><td>401</td><td>401002</td><td>Invalid authentication credentials</td><td>Missing or invalid authentication credentials.</td></tr><tr><td>401</td><td>403001</td><td>Missing authentication token</td><td>Authentication token not provided.</td></tr><tr><td>403</td><td>403000</td><td>Insufficient permissions</td><td>User isn't an administrator.</td></tr><tr><td>403</td><td>403010</td><td>Site mismatch</td><td>Authenticated user's site does not match the site LUID in the request.</td></tr><tr><td>403</td><td>403157</td><td>Feature disabled</td><td>Feature not enabled.</td></tr><tr><td>403</td><td>N/A</td><td>Insufficient OAuth scope</td><td>The user lacks the required OAuth scope.</td></tr><tr><td>404</td><td>404000</td><td>Site not found</td><td>A site with the specified LUID does not exist.</td></tr><tr><td>500</td><td>500000</td><td>Internal server error</td><td>Unknown server error.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Get Tableau MCP Settings for Site

Gets the list of Tableau MCP settings for a specified site.

**Version**: Available in API 3.29 (Tableau Cloud June 2026 / Server 2026.2) and later.

**License**: No additional license required.

**Permissions**: Any authenticated user.

**Access Scope**: `tableau:mcp_site_settings:read`

For more information, see [Versions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm), [Permissions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm), [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud), and access scopes for [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows,](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

For more information about configuring the Tableau MCP settings for a site, see [Site settings for Tableau MCP](https://tableau.github.io/tableau-mcp/docs/configuration/mcp-config/site-settings).

#### URI

GET /api/api-version/sites/site-id/settings/mcp

#### URI Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1-wide"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site.</td></tr></tbody></table>

#### Request Body

None

#### Response Code

200

#### Response Body

```
<tsResponse>
    <mcpSiteSettings>
        <settings>
            <key>INCLUDE_TOOLS</key>
            <value>datasource,search-content</value>
        </settings>
        <settings>
            <key>INCLUDE_TAGS</key>
            <value>sales,marketing</value>
        </settings>
        <settings>
            <key>MAX_RESULT_LIMIT</key>
            <value>50</value>
        </settings>
        <settings>
            <key>MAX_RESULT_LIMITS</key>
            <value>query-datasource:1000</value>
        </settings>
    </mcpSiteSettings>
</tsResponse>
```

```
{
  "mcpSiteSettings": {
    "settings": [
      {
        "key": "INCLUDE_TOOLS",
        "value": "datasource,search-content"
      },
      {
        "key": "INCLUDE_TAGS",
        "value": "sales,marketing"
      },
      {
        "key": "MAX_RESULT_LIMIT",
        "value": "50"
      },
      {
        "key": "MAX_RESULT_LIMITS",
        "value": "query-datasource:1000"
      }
    ]
  }
}
```

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>400</td><td>409004</td><td>Invalid parameter</td><td>The site LUID format is invalid.</td></tr><tr><td>401</td><td>401002</td><td>Invalid authentication credentials</td><td>Missing or invalid authentication credentials.</td></tr><tr><td>401</td><td>403001</td><td>Missing authentication token</td><td>Authentication token not provided.</td></tr><tr><td>403</td><td>403010</td><td>Site mismatch</td><td>Authenticated user's site does not match the site LUID in the request.</td></tr><tr><td>403</td><td>403157</td><td>Feature disabled</td><td>Feature not enabled.</td></tr><tr><td>403</td><td>N/A</td><td>Insufficient OAuth scope</td><td>The user lacks the required OAuth scope.</td></tr><tr><td>404</td><td>404000</td><td>Site not found</td><td>A site with the specified LUID does not exist.</td></tr><tr><td>500</td><td>500000</td><td>Internal server error</td><td>Unknown server error.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).

## Update Tableau MCP Settings for Site

Updates the current list of Tableau MCP settings for a specified site.

**Version**: Available in API 3.29 (Tableau Cloud June 2026 / Server 2026.2) and later.

**License**: No additional license required.

**Permissions**: Server administrators and site administrators.

**Access Scope**: `tableau:mcp_site_settings:update`

For more information, see [Versions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm), [Permissions](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_permissions.htm), [Access scopes for UATs](https://help.tableau.com/current/api/cloud-manager/en-us/docs/unified_access_tokens.html#scopes) (Cloud), and access scopes for [Cloud](https://help.tableau.com/current/online/en-us/connected_apps_scopes.htm), [Server-Windows,](https://help.tableau.com/current/server/en-us/connected_apps_scopes.htm) or [Server-Linux](https://help.tableau.com/current/server-linux/en-us/connected_apps_scopes.htm).

For more information about configuring the Tableau MCP settings for a site, see [Site settings for Tableau MCP](https://tableau.github.io/tableau-mcp/docs/configuration/mcp-config/site-settings).

#### URI

PUT /api/api-version/sites/site-id/settings/mcp

#### URI Parameter Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1-wide"> <col></colgroup><tbody><tr><td><span class="api-placeholder">api-version</span></td><td>The version of the API to use, such as <code><span class="mc-variable Variables.REST-API-Version variable">3.29</span></code>. For more information, see <a href="https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_versions.htm" class="xref">REST API and Resource Versions</a>.</td></tr><tr><td><span class="api-placeholder">site-id</span></td><td>The ID of the site.</td></tr></tbody></table>

#### Request Body

```
<tsRequest>
    <mcpSiteSettings>
        <settings>
            <key>mcp-settings-key</key>
            <value>mcp-settings-value</value>
        </settings>
        <settings>
            <key>mcp-settings-key</key>
        </settings>
        <settings>
            <key>mcp-settings-key</key>
            <value>mcp-settings-value</value>
        </settings>
    </mcpSiteSettings>
</tsRequest>
```

```
{
  "mcpSiteSettings": {
    "settings": [
      {
        "key": "mcp-settings-key",
        "value": "mcp-settings-value"
      },
      {
        "key": "mcp-settings-key"
      },
      {
        "key": "mcp-settings-key",
        "value": "mcp-settings-value"
      }
    ]
  }
}
```

#### Attribute Values

<table class="api-parameters-table"><colgroup><col class="api-parameters-table-col-1"> <col></colgroup><tbody><tr><td><span class="api-placeholder">key</span></td><td>(Required) String. Specifies which setting to add, modify, or remove.</td></tr><tr><td><span class="api-placeholder">value</span></td><td>(Optional) String. Provides the value associated with the key. If this property is omitted, then the associated key will be removed from the current Tableau MCP settings for the given site.</td></tr></tbody></table>

#### Response Code

200

#### Response Body

```
<tsResponse>
    <mcpSiteSettings>
        <settings>
            <key>INCLUDE_TOOLS</key>
            <value>datasource,search-content</value>
        </settings>
        <settings>
            <key>INCLUDE_TAGS</key>
            <value>sales,marketing,reviews</value>
        </settings>
        <settings>
            <key>DISABLE_METADATA_API_REQUESTS</key>
            <value>true</value>
        </settings>
        <settings>
            <key>MAX_RESULT_LIMITS</key>
            <value>query-datasource:1000</value>
        </settings>
    </mcpSiteSettings>
</tsResponse>
```

```
{
  "mcpSiteSettings": {
    "settings": [
      {
        "key": "INCLUDE_TOOLS",
        "value": "datasource,search-content"
      },
      {
        "key": "INCLUDE_TAGS",
        "value": "sales,marketing,reviews"
      },
      {
        "key": "DISABLE_METADATA_API_REQUESTS",
        "value": "true"
      },
      {
        "key": "MAX_RESULT_LIMITS",
        "value": "query-datasource:1000"
      }
    ]
  }
}
```

#### Errors

<table class="api-error-table"><colgroup><col class="api-error-table-col-1"> <col class="api-error-table-col-2"> <col class="api-error-table-col-3"> <col></colgroup><tbody><tr><th>HTTP status</th><th><code>error</code> Code</th><th>Condition</th><th>Details</th></tr><tr><td>400</td><td>409004</td><td>Invalid parameter</td><td>The mcpSiteSettings entity is empty; the settings key is null, missing, or invalid; or site LUID format is invalid.</td></tr><tr><td>401</td><td>401002</td><td>Invalid authentication credentials</td><td>Missing or invalid authentication credentials.</td></tr><tr><td>401</td><td>403001</td><td>Missing authentication token</td><td>Authentication token not provided.</td></tr><tr><td>403</td><td>403000</td><td>Insufficient permissions</td><td>User isn't an administrator</td></tr><tr><td>403</td><td>403010</td><td>Site mismatch</td><td>Authenticated user's site does not match the site LUID in the request.</td></tr><tr><td>403</td><td>403157</td><td>Feature disabled</td><td>Feature not enabled.</td></tr><tr><td>403</td><td>N/A</td><td>Insufficient OAuth scope</td><td>The user lacks the required OAuth scope.</td></tr><tr><td>404</td><td>404000</td><td>Site not found</td><td>A site with the specified LUID does not exist.</td></tr><tr><td>500</td><td>500000</td><td>Internal server error</td><td>Unknown server error.</td></tr></tbody></table>

For more information, see [Handling Errors](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_concepts_errors.htm).